##################################################################
#
#   makefile
# 
#   for the MARS software
#
##################################################################

include ../Makefile.conf.$(OSTYPE)
include ../Makefile.conf.general

INCLUDES = -I. -I..

CINT     = Slalib

#------------------------------------------------------------------------------

.SUFFIXES: .c .cc .cxx .h .hxx .c 

SRCFILES = \
	daf2r.c  gmst.c   mappa.c  aoppa.c  oapqk.c ampqk.c mapqkz.c \
	dr2af.c  dcs2c.c  dimxv.c  dvdv.c   dvn.c   dcc2s.c dranrm.c \
        geoc.c   refco.c  eqeqx.c  aoppat.c dd2tf.c epj.c   prenut.c \
        nutc.c   dmxv.c   refro.c  prec.c   nut.c   dmxm.c  evp.c    \
        drange.c deuler.c cldj.c   aopqk.c  refz.c  dh2e.c  de2h.c   \
        dt.c     dmoon.c  planet.c planel.c el2ue.c ue2pv.c pv2ue.c  \
        altaz.c  rdplan.c pvobs.c  dtt.c    dat.c   rcc.c

SRCS    = $(SRCFILES)
HEADERS = slalib.h slamac.h
OBJS    = $(SRCFILES:.c=.o)

############################################################

all: $(OBJS)

include ../Makefile.rules

clean:	rmlib rmcint rmobjs rmcore

mrproper:	clean rmbak
